#pragma once

#include "entity.hpp"
#include "math_types.hpp"

class Camera
: public Entity
{
public:

    Camera();
    Camera(Vector const & position);
    ~Camera();

    void Process(float deltaTime, class Input * pInput) override;
    Matrix const & GetViewProjection();

    void SetTarget(Vector const & target);

private:

    Matrix vp;
    Vector position, target;
};